<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<geronimo-plugin xmlns="http://geronimo.apache.org/xml/ns/plugins-1.3" xmlns:ns2="http://geronimo.apache.org/xml/ns/attributes-1.2">
    <name>Geronimo Plugins, OpenEJB :: OpenEJB</name>
    <category>EJB Container</category>
    <pluginGroup>false</pluginGroup>
    <description>Geronimo integration of the OpenEJB  ejb container.</description>
    <url>http://geronimo.apache.org/</url>
    <author>The Apache Geronimo development community</author>
    <license osi-approved="true">The Apache Software License, Version 2.0</license>
    <plugin-artifact>
        <module-id>
            <groupId>org.apache.geronimo.configs</groupId>
            <artifactId>openejb</artifactId>
            <version>3.0.0</version>
            <type>car</type>
        </module-id>
        <geronimo-version>3.0.0</geronimo-version>
        <jvm-version>1.6</jvm-version>
        <dependency>
            <groupId>org.apache.geronimo.configs</groupId>
            <artifactId>j2ee-server</artifactId>
            <version>3.0.0</version>
            <type>car</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.framework</groupId>
            <artifactId>server-security-config</artifactId>
            <version>3.0.0</version>
            <type>car</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.configs</groupId>
            <artifactId>transaction-1_6</artifactId>
            <version>3.0.0</version>
            <type>car</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.configs</groupId>
            <artifactId>system-database</artifactId>
            <version>3.0.0</version>
            <type>car</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.bundles</groupId>
            <artifactId>myfaces-bundle</artifactId>
            <version>2.0.9_1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.specs</groupId>
            <artifactId>geronimo-jaxws_2.2_spec</artifactId>
            <version>1.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.specs</groupId>
            <artifactId>geronimo-jaxrs_1.1_spec</artifactId>
            <version>1.0</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.specs</groupId>
            <artifactId>geronimo-jsp_2.2_spec</artifactId>
            <version>1.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.bundles</groupId>
            <artifactId>jstl</artifactId>
            <version>1.2_1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.servicemix.bundles</groupId>
            <artifactId>org.apache.servicemix.bundles.commons-codec</artifactId>
            <version>1.3_2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.bundles</groupId>
            <artifactId>commons-digester</artifactId>
            <version>1.8_1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.bundles</groupId>
            <artifactId>commons-discovery</artifactId>
            <version>0.4_1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.servicemix.bundles</groupId>
            <artifactId>org.apache.servicemix.bundles.dom4j</artifactId>
            <version>1.6.1_2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.javamail</groupId>
            <artifactId>geronimo-javamail_1.4_mail</artifactId>
            <version>1.8.3</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-core</artifactId>
            <version>4.0.0-beta-1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>mbean-annotation-api</artifactId>
            <version>4.0.0-beta-1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-api</artifactId>
            <version>4.0.0-beta-1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-loader</artifactId>
            <version>4.0.0-beta-1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-javaagent</artifactId>
            <version>4.0.0-beta-1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-jee</artifactId>
            <version>4.0.0-beta-1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.codehaus.swizzle</groupId>
            <artifactId>swizzle-stream</artifactId>
            <version>1.0.2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openwebbeans</groupId>
            <artifactId>openwebbeans-impl</artifactId>
            <version>1.1.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openwebbeans</groupId>
            <artifactId>openwebbeans-spi</artifactId>
            <version>1.1.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openwebbeans</groupId>
            <artifactId>openwebbeans-ejb</artifactId>
            <version>1.1.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openwebbeans</groupId>
            <artifactId>openwebbeans-ee</artifactId>
            <version>1.1.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openwebbeans</groupId>
            <artifactId>openwebbeans-web</artifactId>
            <version>1.1.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb.patch</groupId>
            <artifactId>openejb-bval</artifactId>
            <version>0.3</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-client</artifactId>
            <version>4.0.0-beta-1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.modules</groupId>
            <artifactId>geronimo-openejb</artifactId>
            <version>3.0.0</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.specs</groupId>
            <artifactId>geronimo-jms_1.1_spec</artifactId>
            <version>1.1.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-ejbd</artifactId>
            <version>4.0.0-beta-1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-server</artifactId>
            <version>4.0.0-beta-1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-multicast</artifactId>
            <version>4.0.0-beta-1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-osgi-core</artifactId>
            <version>4.0.0-beta-1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.servicemix.bundles</groupId>
            <artifactId>org.apache.servicemix.bundles.wsdl4j</artifactId>
            <version>1.6.2_2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.bundles</groupId>
            <artifactId>scannotation</artifactId>
            <version>1.0.2_1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.modules</groupId>
            <artifactId>geronimo-persistence-jpa20</artifactId>
            <version>3.0.0</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openwebbeans</groupId>
            <artifactId>openwebbeans-ee-common</artifactId>
            <version>1.1.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.configs</groupId>
            <artifactId>openjpa2</artifactId>
            <version>3.0.0</version>
            <type>car</type>
        </dependency>
        <dependency>
            <groupId>org.apache.yoko</groupId>
            <artifactId>yoko-spec-corba</artifactId>
            <version>1.3</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.xbean</groupId>
            <artifactId>xbean-asm-shaded</artifactId>
            <version>3.11.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.servicemix.bundles</groupId>
            <artifactId>org.apache.servicemix.bundles.quartz</artifactId>
            <version>1.8.3_1</version>
            <type>jar</type>
        </dependency>
        <source-repository>~/.m2/repository/</source-repository>
        <source-repository>http://repo1.maven.org/maven2/</source-repository>
        <source-repository>http://repository.apache.org/snapshots/</source-repository>
        <copy-file dest-dir="schema" relative-to="geronimo">schema/</copy-file>
        <config-xml-content>
            <ns2:gbean name="EJBNetworkService">
                <ns2:attribute name="port">${OpenEJBPort + PortOffset}</ns2:attribute>
                <ns2:attribute name="host">${ServerHostname}</ns2:attribute>
                <ns2:attribute name="multicastHost">${MulticastDiscoveryAddress}</ns2:attribute>
                <ns2:attribute name="multicastPort">${MulticastDiscoveryPort}</ns2:attribute>
                <ns2:attribute name="multipointHost">${MultipointHost}</ns2:attribute>
                <ns2:attribute name="multipointPort">${MultipointPort + PortOffset}</ns2:attribute>
                <ns2:attribute name="multipointServers">${MultipointServers}</ns2:attribute>
                <ns2:attribute name="multipointEnabled">${MultipointEnabled}</ns2:attribute>
                <ns2:attribute name="multicastEnabled">${MulticastEnabled}</ns2:attribute>
                <ns2:attribute name="clusterName">${ClusterName}</ns2:attribute>
            </ns2:gbean>
            <ns2:gbean name="DefaultStatefulContainer">
                <ns2:attribute name="accessTimeout">30</ns2:attribute>
                <ns2:attribute name="timeOut">20</ns2:attribute>
                <ns2:attribute name="capacity">1000</ns2:attribute>
                <ns2:attribute name="bulkPassivate">100</ns2:attribute>
            </ns2:gbean>
            <ns2:gbean name="DefaultSingletonContainer">
                <ns2:attribute name="accessTimeout">30</ns2:attribute>
            </ns2:gbean>
            <ns2:gbean name="DefaultBMPContainer">
                <ns2:attribute name="poolSize">10</ns2:attribute>
            </ns2:gbean>
            <ns2:gbean name="DefaultStatelessContainer">
                <ns2:attribute name="accessTimeout">30</ns2:attribute>
                <ns2:attribute name="closeTimeout">5</ns2:attribute>
                <ns2:attribute name="maxSize">10</ns2:attribute>
                <ns2:attribute name="minSize">0</ns2:attribute>
                <ns2:attribute name="strictPooling">true</ns2:attribute>
                <ns2:attribute name="idleTimeout">0</ns2:attribute>
            </ns2:gbean>
        </config-xml-content>
        <artifact-alias key="org.apache.geronimo.configs/openejb/3.0-beta-1/car">org.apache.geronimo.configs/openejb/3.0.0/car</artifact-alias>
        <artifact-alias key="org.apache.geronimo.configs/openejb/3.0-M1/car">org.apache.geronimo.configs/openejb/3.0.0/car</artifact-alias>
        <artifact-alias key="org.apache.geronimo.configs/openejb//car">org.apache.geronimo.configs/openejb/3.0.0/car</artifact-alias>
        <artifact-alias key="org.apache.geronimo.configs/openjpa//car">org.apache.geronimo.configs/openjpa2/3.0.0/car</artifact-alias>
        <artifact-alias key="org.apache.geronimo.configs/persistence-jpa10-deployer//car">org.apache.geronimo.configs/persistence-jpa20-deployer/3.0.0/car</artifact-alias>
        <config-substitution key="OpenEJBPort">4201</config-substitution>
        <config-substitution key="MulticastDiscoveryAddress">239.255.3.2</config-substitution>
        <config-substitution key="MulticastDiscoveryPort">6142</config-substitution>
        <config-substitution key="MultipointHost">0.0.0.0</config-substitution>
        <config-substitution key="MultipointPort">4212</config-substitution>
        <config-substitution key="MultipointEnabled">false</config-substitution>
        <config-substitution key="MulticastEnabled">false</config-substitution>
        <config-substitution key="MultipointServers"></config-substitution>
        <config-substitution key="ClusterName">cluster1</config-substitution>
    </plugin-artifact>
</geronimo-plugin>
